#ifndef __GAMEPAD_H_
#define __GAMEPAD_H_

#include "GameObject.h"

enum {
	PAD_UP     = 1<<0,
	PAD_RIGHT  = 1<<1,
	PAD_DOWN   = 1<<2,
	PAD_LEFT   = 1<<3,
	PAD_SELECT = 1<<4,
	PAD_CANCEL = 1<<5,
};

/**
 * L[pbhNX
 * JEg
 */
class GamePad : public GameObject {

public:
	static void update();
	static void registerClass();

	/**
	 * RXgN^
	 */
	GamePad();

	/**
	 * fXgN^
	 */
	~GamePad();

	/**
	 * @param key ΏۃL[
	 * @return Ă邩
	 */
	bool isPress(int key);

	/**
	 * @param key ΏۃL[
	 * @return ꂽuԂ
	 */
	bool isTrigger(int key);

	/**
	 * @param key ΏۃL[
	 * @return ꂽuԂ
	 */
	bool isRelease(int key);

	/**
	 * ꂽL[PԂiDxj
	 * @return ꂽL[
	 */
	int getKey();
	
protected:
	static int state;
	static int prevState;
	static int tstate;
	static int rstate;
};

#endif
